---
title: AI Gateway
description: AI Gateway routes your applications' LLM requests to the model providers you connect, and applies your organization's routing, access, spending, rate…
breadcrumbs: Docs > API > AI Gateway
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# AI Gateway

AI Gateway routes your applications' LLM requests to the model providers you connect, and
applies your organization's routing, access, spending, rate limit, and data capture rules.

These endpoints allow you to configure:

- Providers: the model providers your organization connects, and the models and pricing each offers.
- Routing rules: the named routes your applications call, and the models that serve each one.
- Access: inbound routing policies and model groups that decide who can use which models.
- Budgets and rate limits: spending caps and request limits, and their current usage.
- Data capture and governance: what request data is recorded, and organization-wide controls.

## [List AI Gateway budgets](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-budgets.md) (preview)

| Datadog site      | API endpoint                                     |
| ----------------- | ------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/budgets     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/budgets |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/budgets |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/budgets      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/budgets |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/budgets |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/budgets |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/budgets      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/budgets  |

## [Create an AI Gateway budget](https://docs.datadoghq.com/api/latest/ai-gateway/create-an-ai-gateway-budget.md) (preview)

| Datadog site      | API endpoint                                      |
| ----------------- | ------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/budgets     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/budgets |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/budgets |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/budgets      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/budgets |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/budgets |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/budgets |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/budgets      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/budgets  |

## [Get an AI Gateway budget](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-budget.md) (preview)

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/budgets/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/budgets/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/budgets/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/budgets/{id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/budgets/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/budgets/{id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/budgets/{id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/budgets/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/budgets/{id}  |

## [Archive an AI Gateway budget](https://docs.datadoghq.com/api/latest/ai-gateway/archive-an-ai-gateway-budget.md) (preview)

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/budgets/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/budgets/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/budgets/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/budgets/{id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/budgets/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/budgets/{id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/budgets/{id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/budgets/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/budgets/{id}  |

## [Update an AI Gateway budget](https://docs.datadoghq.com/api/latest/ai-gateway/update-an-ai-gateway-budget.md) (preview)

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/budgets/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/budgets/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/budgets/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/budgets/{id}      |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/budgets/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/budgets/{id} |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/budgets/{id} |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/budgets/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/budgets/{id}  |

## [Get an AI Gateway budget's current period](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-budgets-current-period.md) (preview)

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/budgets/{id}/current-period     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/budgets/{id}/current-period |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/budgets/{id}/current-period |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/budgets/{id}/current-period      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/budgets/{id}/current-period |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/budgets/{id}/current-period |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/budgets/{id}/current-period |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/budgets/{id}/current-period      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/budgets/{id}/current-period  |

## [List AI Gateway models by canonical ID](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-models-by-canonical-id.md) (preview)

| Datadog site      | API endpoint                                    |
| ----------------- | ----------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/models     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/models |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/models |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/models      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/models |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/models |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/models |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/models      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/models  |

## [List AI Gateway routing policies](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-routing-policies.md) (preview)

| Datadog site      | API endpoint                                      |
| ----------------- | ------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/policies     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/policies |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/policies |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/policies      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/policies |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/policies |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/policies |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/policies      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/policies  |

## [Create or replace an AI Gateway routing policy](https://docs.datadoghq.com/api/latest/ai-gateway/create-or-replace-an-ai-gateway-routing-policy.md) (preview)

| Datadog site      | API endpoint                                       |
| ----------------- | -------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/policies     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/policies |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/policies |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/policies      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/policies |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/policies |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/policies |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/policies      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/policies  |

## [Get an AI Gateway routing policy](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-routing-policy.md) (preview)

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/policies/{inbound}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/policies/{inbound} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/policies/{inbound} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/policies/{inbound}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/policies/{inbound} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/policies/{inbound} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/policies/{inbound} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/policies/{inbound}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/policies/{inbound}  |

## [Delete an AI Gateway routing policy](https://docs.datadoghq.com/api/latest/ai-gateway/delete-an-ai-gateway-routing-policy.md) (preview)

| Datadog site      | API endpoint                                                   |
| ----------------- | -------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/policies/{inbound}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/policies/{inbound} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/policies/{inbound} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/policies/{inbound}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/policies/{inbound} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/policies/{inbound} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/policies/{inbound} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/policies/{inbound}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/policies/{inbound}  |

## [List models available from a provider integration](https://docs.datadoghq.com/api/latest/ai-gateway/list-models-available-from-a-provider-integration.md) (preview)

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/provider-models     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/provider-models |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/provider-models |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/provider-models      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/provider-models |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/provider-models |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/provider-models |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/provider-models      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/provider-models  |

## [List AI Gateway providers](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-providers.md) (preview)

| Datadog site      | API endpoint                                       |
| ----------------- | -------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/providers     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/providers |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/providers |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/providers      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/providers |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/providers |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/providers |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/providers      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/providers  |

## [Create an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/create-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/providers     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/providers |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/providers |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/providers      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/providers |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/providers |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/providers |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/providers      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/providers  |

## [Get an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/providers/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/providers/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/providers/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/providers/{id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/providers/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/providers/{id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/providers/{id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/providers/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/providers/{id}  |

## [Update an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/update-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/providers/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/providers/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/providers/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/providers/{id}      |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/providers/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/providers/{id} |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/providers/{id} |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/providers/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/providers/{id}  |

## [Delete an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/delete-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/providers/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/providers/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/providers/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/providers/{id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/providers/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/providers/{id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/providers/{id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/providers/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/providers/{id}  |

## [List models for an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/list-models-for-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/providers/{provider_id}/models     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/providers/{provider_id}/models      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/providers/{provider_id}/models      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models  |

## [Add a model to an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/add-a-model-to-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/providers/{provider_id}/models     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/providers/{provider_id}/models      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/providers/{provider_id}/models      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models  |

## [Add multiple models to an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/add-multiple-models-to-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/providers/{provider_id}/models/bulk     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models/bulk |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models/bulk |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/providers/{provider_id}/models/bulk      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models/bulk |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models/bulk |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models/bulk |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/providers/{provider_id}/models/bulk      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models/bulk  |

## [Update a model for an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/update-a-model-for-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/providers/{provider_id}/models/{canonical}      |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}  |

## [Delete a model from an AI Gateway provider](https://docs.datadoghq.com/api/latest/ai-gateway/delete-a-model-from-an-ai-gateway-provider.md) (preview)

| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/providers/{provider_id}/models/{canonical}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}  |

## [Delete a model pricing override](https://docs.datadoghq.com/api/latest/ai-gateway/delete-a-model-pricing-override.md) (preview)

| Datadog site      | API endpoint                                                                                   |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/providers/{provider_id}/models/{canonical}/pricing      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}/pricing      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}/pricing  |

## [Get a model pricing override](https://docs.datadoghq.com/api/latest/ai-gateway/get-a-model-pricing-override.md) (preview)

| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/providers/{provider_id}/models/{canonical}/pricing      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}/pricing      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}/pricing  |

## [Set a model pricing override](https://docs.datadoghq.com/api/latest/ai-gateway/set-a-model-pricing-override.md) (preview)

| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/providers/{provider_id}/models/{canonical}/pricing      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/providers/{provider_id}/models/{canonical}/pricing |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}/pricing      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/providers/{provider_id}/models/{canonical}/pricing  |

## [List AI Gateway routing rules](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-routing-rules.md) (preview)

| Datadog site      | API endpoint                                           |
| ----------------- | ------------------------------------------------------ |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/routing-rules     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/routing-rules |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/routing-rules |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/routing-rules      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/routing-rules |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/routing-rules |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/routing-rules |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/routing-rules      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/routing-rules  |

## [Create an AI Gateway routing rule](https://docs.datadoghq.com/api/latest/ai-gateway/create-an-ai-gateway-routing-rule.md) (preview)

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/routing-rules     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/routing-rules |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/routing-rules |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/routing-rules      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/routing-rules |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/routing-rules |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/routing-rules |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/routing-rules      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/routing-rules  |

## [Get an AI Gateway routing rule](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-routing-rule.md) (preview)

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/routing-rules/get     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/routing-rules/get |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/routing-rules/get |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/routing-rules/get      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/routing-rules/get |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/routing-rules/get |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/routing-rules/get |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/routing-rules/get      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/routing-rules/get  |

## [Replace an AI Gateway routing rule](https://docs.datadoghq.com/api/latest/ai-gateway/replace-an-ai-gateway-routing-rule.md) (preview)

| Datadog site      | API endpoint                                           |
| ----------------- | ------------------------------------------------------ |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/routing-rules     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/routing-rules |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/routing-rules |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/routing-rules      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/routing-rules |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/routing-rules |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/routing-rules |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/routing-rules      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/routing-rules  |

## [Delete an AI Gateway routing rule](https://docs.datadoghq.com/api/latest/ai-gateway/delete-an-ai-gateway-routing-rule.md) (preview)

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/routing-rules     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/routing-rules |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/routing-rules |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/routing-rules      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/routing-rules |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/routing-rules |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/routing-rules |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/routing-rules      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/routing-rules  |

## [List AI Gateway model groups](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-model-groups.md) (preview)

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/model-groups     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/model-groups |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/model-groups |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/model-groups      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/model-groups |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/model-groups |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/model-groups |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/model-groups      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/model-groups  |

## [Create an AI Gateway model group](https://docs.datadoghq.com/api/latest/ai-gateway/create-an-ai-gateway-model-group.md) (preview)

| Datadog site      | API endpoint                                           |
| ----------------- | ------------------------------------------------------ |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/model-groups     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/model-groups |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/model-groups |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/model-groups      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/model-groups |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/model-groups |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/model-groups |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/model-groups      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/model-groups  |

## [Get an AI Gateway model group](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-model-group.md) (preview)

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/model-groups/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/model-groups/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/model-groups/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/model-groups/{id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/model-groups/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/model-groups/{id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/model-groups/{id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/model-groups/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/model-groups/{id}  |

## [Update an AI Gateway model group](https://docs.datadoghq.com/api/latest/ai-gateway/update-an-ai-gateway-model-group.md) (preview)

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/model-groups/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/model-groups/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/model-groups/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/model-groups/{id}      |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/model-groups/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/model-groups/{id} |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/model-groups/{id} |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/model-groups/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/model-groups/{id}  |

## [Delete an AI Gateway model group](https://docs.datadoghq.com/api/latest/ai-gateway/delete-an-ai-gateway-model-group.md) (preview)

| Datadog site      | API endpoint                                                  |
| ----------------- | ------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/model-groups/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/model-groups/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/model-groups/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/model-groups/{id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/model-groups/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/model-groups/{id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/model-groups/{id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/model-groups/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/model-groups/{id}  |

## [Get AI Gateway governance controls](https://docs.datadoghq.com/api/latest/ai-gateway/get-ai-gateway-governance-controls.md) (preview)

| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/governance     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/governance |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/governance |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/governance      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/governance |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/governance |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/governance |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/governance      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/governance  |

## [Replace AI Gateway governance controls](https://docs.datadoghq.com/api/latest/ai-gateway/replace-ai-gateway-governance-controls.md) (preview)

| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/governance     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/governance |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/governance |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/governance      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/governance |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/governance |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/governance |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/governance      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/governance  |

## [List AI Gateway budget instances](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-budget-instances.md) (preview)

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/budgets/{id}/instances     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/budgets/{id}/instances |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/budgets/{id}/instances |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/budgets/{id}/instances      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/budgets/{id}/instances |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/budgets/{id}/instances |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/budgets/{id}/instances |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/budgets/{id}/instances      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/budgets/{id}/instances  |

## [Get an AI Gateway budget instance summary](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-budget-instance-summary.md) (preview)

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/budgets/{id}/instances/summary     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/budgets/{id}/instances/summary |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/budgets/{id}/instances/summary |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/budgets/{id}/instances/summary      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/budgets/{id}/instances/summary |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/budgets/{id}/instances/summary |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/budgets/{id}/instances/summary |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/budgets/{id}/instances/summary      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/budgets/{id}/instances/summary  |

## [List AI Gateway rate limits](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-rate-limits.md) (preview)

| Datadog site      | API endpoint                                         |
| ----------------- | ---------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rate-limits     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rate-limits |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rate-limits |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rate-limits      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rate-limits |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rate-limits |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rate-limits |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rate-limits      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rate-limits  |

## [Create an AI Gateway rate limit](https://docs.datadoghq.com/api/latest/ai-gateway/create-an-ai-gateway-rate-limit.md) (preview)

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/rate-limits     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/rate-limits |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/rate-limits |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/rate-limits      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/rate-limits |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/rate-limits |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/rate-limits |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/rate-limits      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/rate-limits  |

## [Get an AI Gateway rate limit](https://docs.datadoghq.com/api/latest/ai-gateway/get-an-ai-gateway-rate-limit.md) (preview)

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rate-limits/{id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rate-limits/{id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rate-limits/{id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rate-limits/{id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rate-limits/{id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rate-limits/{id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rate-limits/{id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rate-limits/{id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rate-limits/{id}  |

## [Update an AI Gateway rate limit](https://docs.datadoghq.com/api/latest/ai-gateway/update-an-ai-gateway-rate-limit.md) (preview)

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/rate-limits/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/rate-limits/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/rate-limits/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/rate-limits/{id}      |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/rate-limits/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/rate-limits/{id} |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/rate-limits/{id} |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/rate-limits/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/rate-limits/{id}  |

## [Archive an AI Gateway rate limit](https://docs.datadoghq.com/api/latest/ai-gateway/archive-an-ai-gateway-rate-limit.md) (preview)

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/rate-limits/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/rate-limits/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/rate-limits/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/rate-limits/{id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/rate-limits/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/rate-limits/{id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/rate-limits/{id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/rate-limits/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/rate-limits/{id}  |

## [Get AI Gateway rate limit usage](https://docs.datadoghq.com/api/latest/ai-gateway/get-ai-gateway-rate-limit-usage.md) (preview)

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rate-limits/usage     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rate-limits/usage |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rate-limits/usage |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rate-limits/usage      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rate-limits/usage |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rate-limits/usage |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rate-limits/usage |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rate-limits/usage      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rate-limits/usage  |

## [Reset a budget instance's spend](https://docs.datadoghq.com/api/latest/ai-gateway/reset-a-budget-instances-spend.md) (preview)

| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/budgets/{id}/instances/reset     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/budgets/{id}/instances/reset |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/budgets/{id}/instances/reset |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/budgets/{id}/instances/reset      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/budgets/{id}/instances/reset |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/budgets/{id}/instances/reset |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/budgets/{id}/instances/reset |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/budgets/{id}/instances/reset      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/budgets/{id}/instances/reset  |

## [List AI Gateway budget instance dimension values](https://docs.datadoghq.com/api/latest/ai-gateway/list-ai-gateway-budget-instance-dimension-values.md) (preview)

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/budgets/{id}/instances/dimensions     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/budgets/{id}/instances/dimensions |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/budgets/{id}/instances/dimensions |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/budgets/{id}/instances/dimensions      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/budgets/{id}/instances/dimensions |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/budgets/{id}/instances/dimensions |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/budgets/{id}/instances/dimensions |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/budgets/{id}/instances/dimensions      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/budgets/{id}/instances/dimensions  |

## [Override a budget instance's capacity](https://docs.datadoghq.com/api/latest/ai-gateway/override-a-budget-instances-capacity.md) (preview)

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/budgets/{id}/instances/capacity     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/budgets/{id}/instances/capacity |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/budgets/{id}/instances/capacity |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/budgets/{id}/instances/capacity      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/budgets/{id}/instances/capacity |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/budgets/{id}/instances/capacity |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/budgets/{id}/instances/capacity |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/budgets/{id}/instances/capacity      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/budgets/{id}/instances/capacity  |

## [Get the AI Gateway data capture configuration](https://docs.datadoghq.com/api/latest/ai-gateway/get-the-ai-gateway-data-capture-configuration.md) (preview)

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/data-capture/configuration     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/data-capture/configuration |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/data-capture/configuration |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/data-capture/configuration      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/data-capture/configuration |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/data-capture/configuration |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/data-capture/configuration |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/data-capture/configuration      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/data-capture/configuration  |

## [Create an AI Gateway data capture override](https://docs.datadoghq.com/api/latest/ai-gateway/create-an-ai-gateway-data-capture-override.md) (preview)

| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/data-capture/overrides     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/data-capture/overrides |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/data-capture/overrides |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/data-capture/overrides      |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/data-capture/overrides |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/data-capture/overrides |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/data-capture/overrides |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/data-capture/overrides      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/data-capture/overrides  |

## [Delete an AI Gateway data capture override](https://docs.datadoghq.com/api/latest/ai-gateway/delete-an-ai-gateway-data-capture-override.md) (preview)

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/data-capture/overrides/{id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/data-capture/overrides/{id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/data-capture/overrides/{id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/data-capture/overrides/{id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/data-capture/overrides/{id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/data-capture/overrides/{id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/data-capture/overrides/{id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/data-capture/overrides/{id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/data-capture/overrides/{id}  |

## [Replace an AI Gateway data capture override](https://docs.datadoghq.com/api/latest/ai-gateway/replace-an-ai-gateway-data-capture-override.md) (preview)

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/data-capture/overrides/{id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/data-capture/overrides/{id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/data-capture/overrides/{id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/data-capture/overrides/{id}      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/data-capture/overrides/{id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/data-capture/overrides/{id} |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/data-capture/overrides/{id} |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/data-capture/overrides/{id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/data-capture/overrides/{id}  |
